diff --git a/src/logging.c b/src/logging.c
index 1f51900b..027e9ffd 100644
--- a/src/logging.c
+++ b/src/logging.c
@@ -44,8 +44,6 @@ int ugly_log(int level, const char *tag, const char *format, ...) {
     case UFATAL:
         fprintf(stderr, "FATAL %s: ", tag);
         vfprintf(stderr, format, args);
-        exit(EXIT_FAILURE);
-        // NEVER GETS HERE!!!
         break;
     default:
         fprintf(stderr, "%d %s: ", level, tag);
